petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscSFSetGraphSection

Sets the PetscSF graph encoding the parallel dof overlap based upon the PetscSections describing the data layout.

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFSetGraphSection(PetscSF sf, PetscSection localSection, PetscSection globalSection)

### Input Parameters

| sf | - The SF
| localSection | - PetscSection describing the local data layout
| globalSection | - PetscSection describing the global data layout

### See Also

PetscSFSetGraph(), PetscSFSetGraphLayout()

### Level

developer

### Location

src/vec/is/sf/utils/sfutils.c
Index of all SF routines
Table of Contents for all manual pages
Index of all manual pages